NotaryError.Conflict
Keywords: net.corda.core.flows.NotaryError.Conflict class
Date: 2023-09-18

net.corda.core.flows

## Class NotaryError.Conflict

- net.corda.core.flows.NotaryError
- - net.corda.core.flows.NotaryError.Conflict

- Enclosing class:
    NotaryError

      public static class NotaryError.Conflict
      extends NotaryError

  Occurs when one or more input states have already been consumed by another transaction.

- - ### Constructor Detail

    - #### Conflict

          public Conflict(@NotNull
                          SecureHash txId,
                          @NotNull
                          java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.flows.StateConsumptionDetails> consumedStates)

      Occurs when one or more input states have already been consumed by another transaction.

      Parameters:
        `txId` - Id of the transaction that was attempted to be notarised.
        `consumedStates` - Specifies which states have already been consumed in another transaction.

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getTxId

          @NotNull
          public SecureHash getTxId()

      Id of the transaction that was attempted to be notarised.

    - #### getConsumedStates

          @NotNull
          public java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.flows.StateConsumptionDetails> getConsumedStates()

      Specifies which states have already been consumed in another transaction.

    - #### component1

          @NotNull
          public SecureHash component1()

      Id of the transaction that was attempted to be notarised.

    - #### component2

          @NotNull
          public java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.flows.StateConsumptionDetails> component2()

      Specifies which states have already been consumed in another transaction.

    - #### copy

          @NotNull
          public net.corda.core.flows.NotaryError.Conflict copy(@NotNull
                                                                         SecureHash txId,
                                                                         @NotNull
                                                                         java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.flows.StateConsumptionDetails> consumedStates)

      Occurs when one or more input states have already been consumed by another transaction.

    - #### hashCode

          public int hashCode()

      Occurs when one or more input states have already been consumed by another transaction.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Occurs when one or more input states have already been consumed by another transaction.